Canvas not working in Mac b27 and b28


#1

Hi,
I am Mac user and just start with Armory3D for a few days. So far so good.
However, I can never edit canvas in both b27 and b28 version. Apparently there are some error locating some scripts.

How can I resolve this?


#2

Hello,

I tested on my Mac but both Armory 0.4 and git seems to work here. Can you paste the exact error message?


#3

I am not sure how to copy the text but here is the screencap:

I probably miss out some modules. I am not sure.

I download the build from itch.io, not sure is the same as yours too.


#4

Hm that’s a new one, it seems that macOS on your setup simply blocks Armory from writing the file which is meant to get loaded by canvas editor.:frowning: Will try to figure something out, have an idea…


#5

Hope you can solve it soon.
Thanks!


#6

In case you want to know, I am running on MacOS 10.13.4.


#7

Testing a fix, should work properly in upcoming Armory 0.5. :slight_smile:


#8

Thanks man.
Side track: Hope everything is ok on the patreon side.


#9

@sooon Make sure you launch blender from the command line. If you dont you will have all kinds of issues. After I did that everything worked for me. (was having similar errors)


#10

It really works. Thanks for the tips.